Bug 1262787 - Security problem with F24
Security problem with F24
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: avant-window-manager (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Sindre Pedersen Bjørdal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 07:22 EDT by Leslie Satenstein
Modified: 2018-05-29 08:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:36:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leslie Satenstein 2015-09-14 07:22:59 EDT
Description of problem:

I have three logons.. "root", "leslie2 and "other" as gnome logons.
leslie is administrator with full sudo NOPASSWD privileges

Here is how to create the problem.  TC4 any time after installation and updates.

1) Boot Fedora 
2) login leslie    Now leslie is active user is on tty2 (ctl-alt-f2)
3) Hit ctl-alt-f1  (the logon prompt is offered)
4) logon to other.  Other appears as ctl-alt-f3 (tty3)
5) hit ctl-alt-f1   logon as root  root appears as ctl-alt-f7

I can switch from one logon to the other without requiring passwords between them.

I just do ctl-alt-[f2|f3|f7]

Version-Release number of selected component (if applicable):

Fedora beta TC4  AND Fedora 22.

How reproducible:

Everytime.

Steps to Reproduce:
1.
2.
3.

Actual results:
I can switch from one logon to the other without requiring passwords between them.

I just do ctl-alt-[f2|f3|f7]


Expected results:

Switching between users as shown above should require a password. Security should be enforced. 

Additional info:

This feature is a security flaw. As admin, I could be called away, and a second party could issue ctl-alt-f1, and log into the system. If he wants to do admin stuff, he just switches session as shown with steps and 4 above. 

This bug-feature is present in F22 as well

I have not checked if the same issue arises with MATE or xfce or KDE.
Comment 1 Leslie Satenstein 2015-09-14 07:30:04 EDT
I just tested with MATE.  Identical problem.

Interestingly,  Session 1, Leslie is with Mate, Session 2 Other is with Gnome, and session 3 (root logon) is with Gnome.

To me it does not appear to be a gnome problem, but a Linux problem( or feature???).
Comment 2 Leslie Satenstein 2016-05-29 23:59:27 EDT
Fedora 24 experiences this same functionality.
Comment 3 Leslie Satenstein 2017-05-24 21:47:53 EDT
This is simple to respond.  Is the current functioning of ctl-alt-f1 ctl-alt-f2 correct?

That is, if a user does a "Switch user" request and gives the system to the other user, does that other user, after logging in, have to right to visit the user who initiated the "switch user". Suppose first user is root and second is non admin user.
Comment 4 Fedora End Of Life 2018-05-03 04:18:21 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2018-05-29 08:36:43 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.